> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.62.md).

# 3.62

### [PSDK\_3.62.3](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id38)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-62-3)

| Ticket    | Type   | Description                                                                                                                                                                               |
| --------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PSDK-4863 | BugFix | <ul><li>Add <a href="https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id97">VF\_</a> prefix to android UI theme name to avoid conflicts.</li></ul> |

### [PSDK\_3.62.2](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id39)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-62-2)

| Ticket    | Type        | Description                                                                                        |
| --------- | ----------- | -------------------------------------------------------------------------------------------------- |
| PSDK-4749 | Enhancement | <ul><li>Populate Payment::StoredValueCardInformation for sale using a stored value card.</li></ul> |

### [PSDK\_3.62.1](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id40)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-62-1)

| Ticket    | Type   | Description                                                               |
| --------- | ------ | ------------------------------------------------------------------------- |
| PSDK-4662 | BugFix | <ul><li>Fixed Receipt Data field population for Nexo terminals.</li></ul> |

### [PSDK\_3.62.0](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#id41)[](https://solutions-dashboard.verifone.com/api/docs/payment_sdk/3.68.6/release_notes.html#psdk-3-62-0)

| Ticket         | Type        | Description                                                                                                                   |
| -------------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------- |
| ESAMDOCS-42958 | Enhancement | <ul><li>Fix issue of separate cancel record created for pre-auth record.</li></ul>                                            |
| PSDK-4141      | Enhancement | <ul><li>Add support of serial communication for iOS - SCA protocol.</li></ul>                                                 |
| PSDK-4207      | Enhancement | <ul><li>Updated PSDK State Transitions documentation.</li></ul>                                                               |
| PSDK-4212      | Enhancement | <ul><li>Update documentation for session management.</li></ul>                                                                |
| PSDK-4377      | Enhancement | <ul><li>Updated Nexo LoyaltyHandling for card acquisition request.</li></ul>                                                  |
| PSDK-4378      | Enhancement | <ul><li>Add support for PSDK Service Discovery phase 2 API</li></ul>                                                          |
| PSDK-4383      | Enhancement | <ul><li>Added a new variable to store the message reference for TransactionStatusRequest.</li></ul>                           |
| PSDK-4384      | Enhancement | <ul><li>Add unit test against segmentation faults on stopping the scanner</li></ul>                                           |
| PSDK-4435      | Enhancement | <ul><li>Updated PSDK SDI APIs to SDI-Client 1.11.0.</li></ul>                                                                 |
| PSDK-4470      | Enhancement | <ul><li>Added the transaction manager state to be logged inside getState() via VFITS logs.</li></ul>                          |
| PSDK-4502      | Enhancement | <ul><li>Update linux\_setup.rst</li></ul>                                                                                     |
| PSDK-4528      | Enhancement | <ul><li>Support discovered port number in psdk</li></ul>                                                                      |
| PSDK-4584      | Enhancement | <ul><li>Retain PSDK AwaitingTerminal state correctly until Basket Finalized response is received</li></ul>                    |
| PSDK-4605      | Enhancement | <ul><li>Update PSDK state machine for abort handling.</li></ul>                                                               |
| PSDK-4638      | Enhancement | <ul><li>Fixed the max value for BCD type parameters.</li></ul>                                                                |
| PSDK-4648      | Enhancement | <ul><li>Support FIPay GIFTCARD Void transaction.</li></ul>                                                                    |
| PSDK-4663      | Enhancement | <ul><li>GBX Token Scope field is no longer a required field. It is optional and can be omitted by the payment app</li></ul>   |
| PSDK-4479      | BugFix      | <ul><li>Fixed the timeout for SdiManager class callbacks unit test.</li></ul>                                                 |
| PSDK-4512      | BugFix      | <ul><li>Added support for displaying QR Code for SCA terminals.</li></ul>                                                     |
| PSDK-4610      | BugFix      | <ul><li>Added Payment::getPaymentSchemeName method which returns unfiltered payment brand returned by the terminal.</li></ul> |
| PSDK-4616      | BugFix      | <ul><li>Implement PSDK transient state clean-up on command abort or cancellation</li></ul>                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/psdk-latest/psdk-downloads-and-class-intro/release-notes/3.62.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
